"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ModeSepoliaQueries = exports.ModeQueries = void 0;
var tslib_1 = require("tslib");
var relayFeeCalculator_1 = require("../relayFeeCalculator");
var constants_1 = require("../../constants");
var l2_provider_1 = require("@eth-optimism/sdk/dist/l2-provider");
var baseQuery_1 = tslib_1.__importDefault(require("./baseQuery"));
var DeploymentUtils_1 = require("../../utils/DeploymentUtils");
var ModeQueries = (function (_super) {
    tslib_1.__extends(ModeQueries, _super);
    function ModeQueries(provider, symbolMapping, spokePoolAddress, simulatedRelayerAddress, coingeckoProApiKey, logger, gasMarkup) {
        if (symbolMapping === void 0) { symbolMapping = constants_1.TOKEN_SYMBOLS_MAP; }
        if (spokePoolAddress === void 0) { spokePoolAddress = (0, DeploymentUtils_1.getDeployedAddress)("SpokePool", constants_1.CHAIN_IDs.MODE); }
        if (simulatedRelayerAddress === void 0) { simulatedRelayerAddress = constants_1.DEFAULT_ARWEAVE_STORAGE_ADDRESS; }
        if (logger === void 0) { logger = relayFeeCalculator_1.DEFAULT_LOGGER; }
        if (gasMarkup === void 0) { gasMarkup = 0; }
        return _super.call(this, (0, l2_provider_1.asL2Provider)(provider), symbolMapping, spokePoolAddress, simulatedRelayerAddress, gasMarkup, logger, coingeckoProApiKey) || this;
    }
    return ModeQueries;
}(baseQuery_1.default));
exports.ModeQueries = ModeQueries;
var ModeSepoliaQueries = (function (_super) {
    tslib_1.__extends(ModeSepoliaQueries, _super);
    function ModeSepoliaQueries(provider, symbolMapping, spokePoolAddress, simulatedRelayerAddress, coingeckoProApiKey, logger, gasMarkup) {
        if (symbolMapping === void 0) { symbolMapping = constants_1.TOKEN_SYMBOLS_MAP; }
        if (spokePoolAddress === void 0) { spokePoolAddress = (0, DeploymentUtils_1.getDeployedAddress)("SpokePool", constants_1.CHAIN_IDs.MODE_SEPOLIA); }
        if (simulatedRelayerAddress === void 0) { simulatedRelayerAddress = constants_1.DEFAULT_SIMULATED_RELAYER_ADDRESS_TEST; }
        if (logger === void 0) { logger = relayFeeCalculator_1.DEFAULT_LOGGER; }
        if (gasMarkup === void 0) { gasMarkup = 0; }
        return _super.call(this, (0, l2_provider_1.asL2Provider)(provider), symbolMapping, spokePoolAddress, simulatedRelayerAddress, gasMarkup, logger, coingeckoProApiKey) || this;
    }
    return ModeSepoliaQueries;
}(baseQuery_1.default));
exports.ModeSepoliaQueries = ModeSepoliaQueries;
//# sourceMappingURL=mode.js.map