import { __extends } from "tslib";
import { DEFAULT_LOGGER } from "../relayFeeCalculator";
import { DEFAULT_ARWEAVE_STORAGE_ADDRESS, DEFAULT_SIMULATED_RELAYER_ADDRESS_TEST, TOKEN_SYMBOLS_MAP, CHAIN_IDs, } from "../../constants";
import { asL2Provider } from "@eth-optimism/sdk/dist/l2-provider";
import QueryBase from "./baseQuery";
import { getDeployedAddress } from "../../utils/DeploymentUtils";
var ModeQueries = /** @class */ (function (_super) {
    __extends(ModeQueries, _super);
    function ModeQueries(provider, symbolMapping, spokePoolAddress, simulatedRelayerAddress, coingeckoProApiKey, logger, gasMarkup) {
        if (symbolMapping === void 0) { symbolMapping = TOKEN_SYMBOLS_MAP; }
        if (spokePoolAddress === void 0) { spokePoolAddress = getDeployedAddress("SpokePool", CHAIN_IDs.MODE); }
        if (simulatedRelayerAddress === void 0) { simulatedRelayerAddress = DEFAULT_ARWEAVE_STORAGE_ADDRESS; }
        if (logger === void 0) { logger = DEFAULT_LOGGER; }
        if (gasMarkup === void 0) { gasMarkup = 0; }
        return _super.call(this, asL2Provider(provider), symbolMapping, spokePoolAddress, simulatedRelayerAddress, gasMarkup, logger, coingeckoProApiKey) || this;
    }
    return ModeQueries;
}(QueryBase));
export { ModeQueries };
var ModeSepoliaQueries = /** @class */ (function (_super) {
    __extends(ModeSepoliaQueries, _super);
    function ModeSepoliaQueries(provider, symbolMapping, spokePoolAddress, simulatedRelayerAddress, coingeckoProApiKey, logger, gasMarkup) {
        if (symbolMapping === void 0) { symbolMapping = TOKEN_SYMBOLS_MAP; }
        if (spokePoolAddress === void 0) { spokePoolAddress = getDeployedAddress("SpokePool", CHAIN_IDs.MODE_SEPOLIA); }
        if (simulatedRelayerAddress === void 0) { simulatedRelayerAddress = DEFAULT_SIMULATED_RELAYER_ADDRESS_TEST; }
        if (logger === void 0) { logger = DEFAULT_LOGGER; }
        if (gasMarkup === void 0) { gasMarkup = 0; }
        return _super.call(this, asL2Provider(provider), symbolMapping, spokePoolAddress, simulatedRelayerAddress, gasMarkup, logger, coingeckoProApiKey) || this;
    }
    return ModeSepoliaQueries;
}(QueryBase));
export { ModeSepoliaQueries };
//# sourceMappingURL=mode.js.map